import React from 'react';
import ReactDOM from 'react-dom';

import { useData } from './useData'
import { Map } from './Map'
const width = window.innerWidth;
const height = window.innerHeight;

const App = () => {
  const data = useData();

  if(!data){
  	return <pre>Loading...</pre>
  }
  
  return (
    <svg width={width} height={height}>
    <Map data={data} width={width} height={height}/>
    </svg>

  );
};
const rootElement = document.getElementById('root');
ReactDOM.render(<App />, rootElement);
